Skip to main content
POST
/
api
/
external
/
companies
/
{companyId}
/
exposures
curl --request POST \
  --url https://app.aiinsurance.io/api/external/companies/{companyId}/exposures \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "John Smith",
  "entityType": "individual"
}
'
{
  "id": "550e8400-e29b-41d4-a716-446655440003"
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

Body

application/json
name
string
required

Name of the insured (required)

entityType
string
required

Entity type of the insured (required). Examples include "individual", "organization", "dealership", etc.

data
object

Custom data fields for this insured. Keys must match fields from GET /insureds/configuration for the specified entityType.

Response

Exposure created successfully

id
string<uuid>

The ID of the created exposure